Bug 451985 - Package perl-Digest-HMAC should be taken from RHEL channel and removed from ISO
Package perl-Digest-HMAC should be taken from RHEL channel and removed from ISO
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
510
All Linux
low Severity low
: ---
: ---
Assigned To: Jan Pazdziora
Preethi Thomas
:
Depends On:
Blocks: 446877
  Show dependency treegraph
 
Reported: 2008-06-18 10:51 EDT by Jan Pazdziora
Modified: 2008-11-05 13:40 EST (History)
1 user (show)

See Also:
Fixed In Version: sat520
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-05 13:40:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2008-06-18 10:51:13 EDT
Description of problem:

The package perl-Digest-HMAC is present both in RHEL 4 and in RHEL 5. We should
not ship our own (old) version.

Version-Release number of selected component (if applicable):

Satellite 5.1.0

How reproducible:

Deterministic.

Steps to Reproduce:
1. Mount Satellite ISO, cd to it.
2. Run find . -name 'perl-Digest-HMAC*'
3. Also look into the Satellite channel.
  
Actual results:

Rpm found.

Expected results:

Package not found and Satellite installs and operates normally.

Additional info:
Comment 1 Jan Pazdziora 2008-06-19 05:17:08 EDT
Checking in comps-rhel4-rhnsat52.xml;
/cvs/devel/comps/comps-rhel4-rhnsat52.xml,v  <--  comps-rhel4-rhnsat52.xml
new revision: 1.23; previous revision: 1.22
done
Checking in comps-rhel5-rhnsat52.xml;
/cvs/devel/comps/comps-rhel5-rhnsat52.xml,v  <--  comps-rhel5-rhnsat52.xml
new revision: 1.11; previous revision: 1.10
done

Checking in 4/RHN-Satellite-5.2/updates/rhelrpms.s390/rhelrpms;
/cvs/devel/rhelfiles/4/RHN-Satellite-5.2/updates/rhelrpms.s390/rhelrpms,v  <-- 
rhelrpms
new revision: 1.7; previous revision: 1.6
done
Checking in 4/RHN-Satellite-5.2/updates/rhelrpms.s390x/rhelrpms;
/cvs/devel/rhelfiles/4/RHN-Satellite-5.2/updates/rhelrpms.s390x/rhelrpms,v  <--
 rhelrpms
new revision: 1.7; previous revision: 1.6
done
Checking in 4/RHN-Satellite-5.2/updates/rhelrpms.x86_64/rhelrpms;
/cvs/devel/rhelfiles/4/RHN-Satellite-5.2/updates/rhelrpms.x86_64/rhelrpms,v  <--
 rhelrpms
new revision: 1.7; previous revision: 1.6
done
Checking in 5/RHN-Satellite-5.2/updates/rhelrpms;
/cvs/devel/rhelfiles/5/RHN-Satellite-5.2/updates/rhelrpms,v  <--  rhelrpms
new revision: 1.5; previous revision: 1.4
done
Comment 2 Brad Buckingham 2008-08-13 12:52:21 EDT
Mass move to ON_QA.
Comment 3 Preethi Thomas 2008-08-14 12:37:51 EDT
verified
Comment 4 wes hayutin 2008-10-21 14:22:30 EDT
[root@rlx-2-18 iso]# find . -name 'perl-Digest-HMAC*'
[root@rlx-2-18 iso]# 

release pendin
Comment 5 Brandon Perkins 2008-11-05 13:40:43 EST
5.2.0 Satellite is now GA, bugs Closed for Current Release.

Note You need to log in before you can comment on or make changes to this bug.